<div class="overlay">
  <div class="market">
    <div class="sell-container">
      <label for="mine-type-to-sell">Sell: </label>
      <select
        name="mine-type-to-sell"
        id="mine-type-to-sell"
        class="mine-type-select"
        [(ngModel)]="mineTypeToSell"
      >
        <option value="-" selected>Resource</option>
        <option *ngFor="let type of mineTypesToSelect" [value]="type">
          {{ type }}
        </option>
      </select>
      <label for="sell-amount">Amount: </label>
      <input
        type="text"
        name="sell-amount"
        id="sell-amount"
        [(ngModel)]="sellAmount"
        autocomplete="off"
      />
    </div>
    <div class="rate-container">
      {{ mineTypeToSell }} ({{ getTradeRate(mineTypeToSell) }}) :
      {{ mineTypeToBuy }} ({{ getTradeRate(mineTypeToBuy) }})
    </div>
    <div class="buy-container">
      <label for="mine-type-to-buy">Buy: </label>
      <select
        name="mine-type-to-buy"
        id="mine-type-to-buy"
        class="mine-type-select"
        [(ngModel)]="mineTypeToBuy"
      >
        <option value="-" selected>Resource</option>
        <option *ngFor="let type of mineTypesToSelect" [value]="type">
          {{ type }}
        </option>
      </select>
      <p style="display: inline-block">
        {{
          sellAmountToNum(sellAmount, mineTypeToSell, mineTypeToBuy) | number
        }}
      </p>
      <div class="btn trade-btn" (click)="clickTrade()">Trade!</div>
    </div>

    <div class="err-msg">{{ tradeErrMsg }}</div>

    <div class="exit-btn" (click)="clickToExit()">x</div>
  </div>
</div>
